package com.shinsoft.sto.service;

import com.shinsoft.sto.model.Config;
import com.baomidou.mybatisplus.extension.service.IService;

import com.shinsoft.tools.model.common.ResultJSON;

import java.util.Map;


/**
 * <p>
 * 库房配置表 服务类
 * </p>
 *
 * @author system
 * @since 2024-10-15
 */
public interface ConfigService extends IService<Config> {

    ResultJSON query(int page, int rows, String params , Map<String,Object> map);
    ResultJSON queryAll(String params , Map<String,Object> map);
    ResultJSON queryAllKF(String params , Map<String,Object> map);
    ResultJSON queryAllQH(String params , Map<String,Object> map);
    ResultJSON queryAllDWH(String params , Map<String,Object> map);

    ResultJSON queryByPK(String id);

    ResultJSON save(String userId, String json);
    ResultJSON insert(String userId, String json);

    ResultJSON remove(String userId, String id);

    ResultJSON removeBatch(String userId, String ids);

    ResultJSON startAndShutDown(String userId, String ids ,String status);

}
